--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	            if not self.showHelp then
				if self.showHelp then
				g_currentMission:addHelpButtonText(g_i18n:getText("TOGGLE_SHOW_HELP"), InputBinding.TOGGLE_SHOW_HELP);
		        renderText(0.72, 0.20, 0.02, "");
		
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.77, 0.18, 0.015, "KLAWISZ NUMPAD 0-WYLACZ OKNO POMOCY");
		renderText(0.77, 0.86, 0.02,  "Ursus C330");			
		renderText(0.72, 0.83, 0.018, "Klawisz Numpad Enter: Odpal");
		renderText(0.72, 0.81, 0.018, "Klawisz Numpad 1: Kierunek lewy");
		renderText(0.72, 0.79, 0.018, "Klawisz Numpad 3: Kierunek prawy");			
		renderText(0.72, 0.77, 0.018, "Klawisz Numpad 2: Swiatla awaryjne");
		renderText(0.72, 0.75, 0.018, "Klawisz T: Pokaz/ukryj tura");
		renderText(0.72, 0.73, 0.018, "Klawisz Spacja: Hamulec reczny");
		renderText(0.72, 0.71, 0.018, "Klawisz F: Swiatla");
		renderText(0.72, 0.69, 0.018, "Klawisz X: Mod kierownicy");
		renderText(0.72, 0.67, 0.018, "Klawisz 0: Klakson");
		renderText(0.72, 0.65, 0.018, "Klawisz L: Pomin animacje wejscia");
		renderText(0.72, 0.63, 0.018, "Klawisz Numpad 7: Maska");
		renderText(0.72, 0.61, 0.018, "Klawisz M: Pokaz/ukryj blotniki");
		renderText(0.72, 0.59, 0.018, "Klawisz U: Pokaz/ukryj kabine");
		renderText(0.72, 0.55, 0.018, "Klawisz Home (kabina): Kogut");
		renderText(0.72, 0.53, 0.018, "Klawisz End (kabina): Pokaz/ukryj kogut");
		renderText(0.72, 0.51, 0.018, "Klawisz Delete (kabina): Wentylator");
		renderText(0.72, 0.49, 0.018, "Klawisz O (kabina): Wycieraczka");
		renderText(0.72, 0.47, 0.018, "Klawisz 6 (kabina): Drzwi lewe");
		renderText(0.72, 0.45, 0.018, "Klawisz 7 (kabina): Drzwi prawe");
		renderText(0.72, 0.41, 0.018, "Klawisz 5 (przy): Ciegno");
		renderText(0.72, 0.39, 0.018, "Klawisz K (przy): Belka");
		renderText(0.72, 0.37, 0.018, "Klawisz Numpad 7 (przy): Maska");
                renderText(0.77, 0.31, 0.02, "ls-forum.eu");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
	end;
  end; 
